#app {
    display: none;
}

#pageloader.hidden {
    display: none !important;
}

#pageloader {
    bottom:0;
    left:0;
    position:absolute;
    right:0;
    top:0;
    position:fixed;
    padding-top:2em;
    background:hsl(217, 71%, 53%);
    z-index:999998;
    transition:transform .35s ease-out,-webkit-transform .35s ease-out;
    will-change:transform;
}

#pageloader::after {
    position:absolute;
    top:50%;
    left:50%;
    display:block;
    border-radius:100%;
    content:"";
    z-index:9999;
    -webkit-transform:translate(-50%, -50%);
    transform:translate(-50%, -50%);
    width:0;
    height:0;
    box-sizing:border-box;
    border:0 solid #fff;
    -webkit-animation:loader-figure 1.15s infinite cubic-bezier(.215, .61, .355, 1);
    animation:loader-figure 1.15s infinite cubic-bezier(.215, .61, .355, 1)
}

#pageloader .title {
    position:absolute;
    top:50%;
    left:50%;
    -webkit-transform:translateX(-50%);
    transform:translateX(-50%);
    margin:2em 0 0 0;
    font-size:.875em;
    letter-spacing:.1em;
    line-height:1.5em;
    color:#fff;
    white-space:nowrap
}

@-webkit-keyframes loader-figure {
    0% {
        height:0;
        width:0;
        background-color:#fff
    }
    29% {
        background-color:#fff
    }
    30% {
        height:2em;
        width:2em;
        background-color:transparent;
        border-width:1em;
        opacity:1
    }
    100% {
        height:2em;
        width:2em;
        border-width:0;
        opacity:0;
        background-color:transparent
    }
}
@-moz-keyframes loader-figure {
    0% {
        height:0;
        width:0;
        background-color:#fff
    }
    29% {
        background-color:#fff
    }
    30% {
        height:2em;
        width:2em;
        background-color:transparent;
        border-width:1em;
        opacity:1
    }
    100% {
        height:2em;
        width:2em;
        border-width:0;
        opacity:0;
        background-color:transparent
    }
}

@-o-keyframes loader-figure {
    0% {
        height:0;
        width:0;
        background-color:#fff
    }
    29% {
        background-color:#fff
    }
    30% {
        height:2em;
        width:2em;
        background-color:transparent;
        border-width:1em;
        opacity:1
    }
    100% {
        height:2em;
        width:2em;
        border-width:0;
        opacity:0;
        background-color:transparent
    }
}

@keyframes loader-figure {
    0% {
        height:0;
        width:0;
        background-color:#fff
    }
    29% {
        background-color:#fff
    }
    30% {
        height:2em;
        width:2em;
        background-color:transparent;
        border-width:1em;
        opacity:1
    }
    100% {
        height:2em;
        width:2em;
        border-width:0;
        opacity:0;
        background-color:transparent
    }
}